Bug 1191543 - Minglish - New input method for Marathi Language
Summary: Minglish - New input method for Marathi Language
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
Petr Bokoc
URL:
Whiteboard: ChangeAcceptedF22 SelfContainedChange
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-11 13:31 UTC by Jaroslav Reznik
Modified: 2015-07-21 10:28 UTC (History)
3 users (show)

Fixed In Version: m17n-db-1.7.0-2.fc22
Doc Type: Release Note
Doc Text:
== Minglish Input Method for Marathi Language == A new input method, "Minglish", is available for the Marathi language in Fedora 22. Minglish allows you to write Marathi text phonetically using an English keyboard layout, based on the English letter pronunciation. For example, the word 'अनिश' is formed by typing 'anish', whereas normally you would have to type 'FniS' using the tradidional phonetic input method, or 'anisha' using ITRANS. To enable the new input method, install the ''m17n-db'' package using DNF, and then select Minglish in your desktop environment or IBus input preferences.
Clone Of:
Environment:
Last Closed: 2015-07-21 10:28:26 UTC
Type: ---
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2015-02-11 13:31:44 UTC
This is a tracking bug for Change: Minglish - New input method for Marathi Language
For more details, see: https://fedoraproject.org//wiki/Changes/minglish

New input method for Marathi language users.

Comment 1 Jaroslav Reznik 2015-02-20 10:01:41 UTC
This message is a reminder that Fedora 22 Change Checkpoint: Completion deadline (testable) is on 2015-02-24 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Completion deadline.

This bug should be set at least to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. Fedora 22 is going to be strictly time based release. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/22/Schedule

Comment 2 anish 2015-02-24 14:56:37 UTC
Thank you!

Steps to test Minglish input method is as follows :-

1: Copy minglish.mim (https://github.com/gnuman/m17n-inglish-mims/blob/master/minglish/minglish.mim) to /usr/share/m17n

2: Then execute following command in terminal
   touch /usr/share/ibus/component/m17n.xml
   to reload input method in g-c-c

3: Open gnome-control-center and choose Minglish as input method.

I am discussing with upstream to include it on m17n library, https://lists.nongnu.org/archive/html/m17n-list/2015-01/msg00002.html

Otherwise I will patch it in Fedora

Comment 3 Jaroslav Reznik 2015-02-25 11:48:26 UTC
Do you have any estimate when you will know if it was accepted and will land Fedora or you'd have to patch Fedora?

Comment 4 Fedora Update System 2015-02-25 13:24:38 UTC
m17n-db-1.7.0-2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/m17n-db-1.7.0-2.fc22

Comment 5 Fedora Update System 2015-02-25 15:15:17 UTC
Package m17n-db-1.7.0-2.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing m17n-db-1.7.0-2.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-2549/m17n-db-1.7.0-2.fc22
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2015-03-09 08:25:55 UTC
m17n-db-1.7.0-2.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Petr Bokoc 2015-04-14 12:14:14 UTC
Hello Anish, we'd like to include this change in Fedora 22 Beta Release Notes.

I wrote a draft in the Doc Text field; please take a look and let me know if this text is sufficient, or if there's anything you'd like to add or change. Please note that I'm not familiar with Indian languages or localization in general, so it's possible that I got something wrong...

Thanks!

Comment 8 Pravin Satpute 2015-04-15 05:40:50 UTC
Docs text looks good to me. please proceed with it. 
Thank you :)


Note You need to log in before you can comment on or make changes to this bug.